org.apache.http.impl.conn

## Class SingleClientConnManager.ConnAdapter

- java.lang.Object
- - org.apache.http.impl.conn.AbstractClientConnAdapter
  - - org.apache.http.impl.conn.AbstractPooledConnAdapter
    - - org.apache.http.impl.conn.SingleClientConnManager.ConnAdapter

- All Implemented Interfaces:
    Closeable ， AutoCloseable ， ConnectionReleaseTrigger ， HttpRoutedConnection ， ManagedClientConnection ， ManagedHttpClientConnection ， HttpClientConnection ， HttpConnection ， HttpInetConnection ， HttpContext
  Enclosing class:
    SingleClientConnManager

      protected class SingleClientConnManager.ConnAdapter
      extends AbstractPooledConnAdapter

  该经理使用的连接适配器。

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter

      `poolEntry`

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SingleClientConnManager.ConnAdapter(SingleClientConnManager.PoolEntry entry, HttpRoute route)` 创建一个新的连接适配器。

  - ### 方法摘要

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractPooledConnAdapter

      `assertAttached, assertValid, close, detach, getId, getPoolEntry, getRoute, getState, layerProtocol, open, setState, shutdown, tunnelProxy, tunnelTarget`

    - ### Methods inherited from class org.apache.http.impl.conn.AbstractClientConnAdapter

      `abortConnection, assertNotAborted, assertValid, bind, flush, getAttribute, getLocalAddress, getLocalPort, getManager, getMetrics, getRemoteAddress, getRemotePort, getSocket, getSocketTimeout, getSSLSession, getWrappedConnection, isMarkedReusable, isOpen, isReleased, isResponseAvailable, isSecure, isStale, markReusable, receiveResponseEntity, receiveResponseHeader, releaseConnection, removeAttribute, sendRequestEntity, sendRequestHeader, setAttribute, setIdleDuration, setSocketTimeout, unmarkReusable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### SingleClientConnManager.ConnAdapter

          protected SingleClientConnManager.ConnAdapter(SingleClientConnManager.PoolEntry entry,
                                             HttpRoute route)

      创建一个新的连接适配器。
      参数
        `entry` - 正在包装的连接的池条目
        `route` - the planned route for this connection

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585